- Request a new Listening Topic Backfill.
Fetch Listening Topic Backfill(s) by id. Supports bulk fetch.
Update Listening Topic Backfill status.
Request a new Listening T...
Security
bearerAuth and apiKeyAuth
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/listening/backfill
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/listening/backfill
curl -i -X POST \
https://api3.sprinklr.com/prod/api/v3/listening/backfill \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"id": "string",
"topicId": "string",
"fromTimeEpochMillis": 0,
"toTimeEpochMillis": 0,
"sources": [
"string"
],
"estimatedSourceVsCount": {
"property1": 0,
"property2": 0
},
"backfilledSourceVsCount": {
"property1": 0,
"property2": 0
},
"userId": 0,
"status": "string",
"backfilledDataCount": 0,
"estimatedDataCount": 0
}'Success
Response
{ "id": "string", "topicId": "string", "fromTimeEpochMillis": 0, "toTimeEpochMillis": 0, "sources": [ "string" ], "estimatedSourceVsCount": { "property1": 0, "property2": 0 }, "backfilledSourceVsCount": { "property1": 0, "property2": 0 }, "userId": 0, "status": "string", "backfilledDataCount": 0, "estimatedDataCount": 0 }